require("factsheet")
require("groups")
data:extend({
	bombardment_category,
	thermal_fuel_category,
	nuclear_group,
	machine_group,
	fuel_group,
	recovery_group,
	enrichment_group,
	processing_group,
	spent_fuel_group,
    reprocessing_group,
    products_group,
	hex_subgroup,
	slurry_group
})
require("materials")
data:extend({
    natural_hex_fluid,
    LEU_slurry,
    HEU_slurry,
    urania_item,
	LEU_fuel_item,
	MOX_fuel_item,
    WGPu_fuel_item,
	used_LEU_item,
	used_MOX_item,
	actinides_item,
	waste_item,
})
require("processing")
data:extend({
	urania_recipe_sulfuric,
	urania_hex_recipe,
	LEU_PUREX_stage_1,
	LEU_PUREX_stage_2,
	HEU_PUREX_stage_1,
	HEU_PUREX_stage_2,
	LEU_enrichment_recipe,
	HEU_enrichment_recipe,
	WGU_enrichment_recipe,
	WGPu_from_LEU,
	WGPu_from_DU,
	LEU_PUREX_enrichment_recipe,
	HEU_PUREX_enrichment_recipe,
	plutonia_238_recipe,
	LEU_REMIX_recipe,
	MOX_REMIX_recipe,
	LEU_fuel_recipe,
	MOX_fuel_recipe,
})
require("machines")
data:extend({
	thermal_reactor_item,
	prod_reactor_item,
	thermal_reactor_recipe,
	prod_reactor_recipe,
	thermal_reactor_entity,
	prod_reactor_entity,
	prod_reactor_corpse,
	prod_reactor_explosion,
})
require("combat")
data:extend({
    plutonium_rocket_recipe,
	-- plutonium_explosion_wave,
	-- plutonium_rocket_projectile,
	-- plutonium_rocket_ammo
})

adamo.tech.add.recipes("uranium-processing", {
	urania_recipe_sulfuric.name,
	urania_hex_recipe.name,
	LEU_enrichment_recipe.name,
	LEU_fuel_item.name,
	thermal_reactor_item.name
})
adamo.tech.add.recipes("nuclear-power", {
	HEU_enrichment_recipe.name,
	WGU_enrichment_recipe.name
})
adamo.recipe.set.tech("nuclear-power","atomic-bomb")
adamo.tech.add.recipes("nuclear-fuel-reprocessing", {
	prod_reactor_recipe.name,
	LEU_REMIX_recipe.name,
	HEU_PUREX_stage_1.name,
	HEU_PUREX_stage_2.name,
	LEU_PUREX_stage_1.name,
	LEU_PUREX_stage_2.name,
	LEU_PUREX_enrichment_recipe.name,
	HEU_PUREX_enrichment_recipe.name,
	plutonia_238_recipe.name,
})
adamo.tech.add.recipes("kovarex-enrichment-process", {
	MOX_fuel_recipe.name,
	MOX_REMIX_recipe.name
})
adamo.tech.add.recipes("atomic-bomb", {
	WGPu_from_LEU.name,
	WGPu_from_DU.name,
	plutonium_rocket_recipe.name
})
adamo.recipes.set.productivity({
	urania_recipe_sulfuric.name,
	plutonia_238_recipe.name,
	-- urania_hex_recipe.name
})
